Index: /trunk/sources/HeuristicLab.Tests/Builder.testsettings
===================================================================
--- /trunk/sources/HeuristicLab.Tests/Builder.testsettings	(revision 7541)
+++ /trunk/sources/HeuristicLab.Tests/Builder.testsettings	(revision 7542)
@@ -15,16 +15,13 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Operators.Views.GraphVisualization-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\LibSVM-1.6.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Optimization.Views-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Views-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Optimization.Views-3.3.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.DebugEngine-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.VehicleRouting.Views-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.OneMax-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.LibSVM-1.6.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Classification.Views-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.LibSVM-1.6.3.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.DataAnalysis.Views-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Visualization.ChartControlsExtensions-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.QuadraticAssignment.Algorithms-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.DataAnalysis-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Operators.Programmable-3.3.dll" />
@@ -44,6 +41,5 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Optimization.Operators-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\log4net.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\ICSharpCode.NRefactory.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.ExternalEvaluation.GP-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\ICSharpCode.NRefactory.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.SequentialEngine-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression-3.4.dll" />
@@ -56,12 +52,10 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.NSGA2-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.log4net-1.2.10.0.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.ArtificialAnt.Views-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.log4net-1.2.10.0.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Encodings.RealVectorEncoding-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.WinFormsUI-2.3.1.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.MainForm-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Views-3.4.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.QuadraticAssignment.Views-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.QuadraticAssignment.Views-3.3.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Encodings.PermutationEncoding.Views-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.ExternalEvaluation.Views-3.3.dll" />
@@ -74,21 +68,17 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Data.Views-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.ProtobufCS-0.9.1.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\ICSharpCode.SharpDevelop.Dom.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\ICSharpCode.SharpDevelop.Dom.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Analysis-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.EvolutionStrategy-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\HeuristicLab-3.3\Resources\mammographic_masses.txt" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab-3.3.Tests.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.DataAnalysis.Views-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab-3.3.Tests.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\Google.ProtocolBuffers-0.9.1.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Persistence-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.TabuSearch-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Random-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.DataAnalysis-3.4.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Regression-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.DataAnalysis-3.4.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Core.Views-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\ALGLIB-3.1.0.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\ALGLIB-3.4.0.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.ParallelEngine-3.3.dll" />
@@ -96,15 +86,13 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.ArtificialAnt.Views-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Common-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.MainForm.WindowsForms-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Classification-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.MainForm.WindowsForms-3.3.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\HeuristicLab-3.3\Resources\ch130.tsp" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\HeuristicLab-3.3\Resources\GA_SymbReg.hl" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Optimizer-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Common.Resources-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.ArtificialAnt-3.3.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Common.Resources-3.3.dll" />    
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Netron-3.0.2672.12446.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\HeuristicLab-3.3\Resources\C101.txt" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.ALGLIB-3.1.0.dll" />
+    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.ALGLIB-3.4.0.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.SimulatedAnnealing-3.3.dll" />
@@ -118,9 +106,18 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Operators.Views-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Core-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis-3.4.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.TravelingSalesman-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Parameters.Views-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.Benchmarks.Views-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Algorithms.Benchmarks-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Hive-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Clients.Hive-3.3.dll" />	
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Clients.Hive.Administrator-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Clients.Hive.JobManager-3.3" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Clients.Hive.Views-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Clients.Hive-3.3.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.DayView-1.0.dll" />
+	<DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.MathJax-1.1.dll" />
   </Deployment>
   <Execution hostProcessPlatform="MSIL">