Index: branches/GeneralizedQAP/UnitTests/CordeauCrossoverTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/CordeauCrossoverTest.cs	(revision 7538)
+++ branches/GeneralizedQAP/UnitTests/CordeauCrossoverTest.cs	(revision 7548)
@@ -34,7 +34,7 @@
     public void CordeauCrossoverFunctionalityTest() {
       var provider = new CordeauGQAPInstanceProvider();
-      var instance = provider.LoadInstance(provider.GetInstanceDescriptors().First());
+      var instance = provider.LoadData(provider.GetDataDescriptors().First());
       var gqap = new GeneralizedQuadraticAssignmentProblem();
-      gqap.LoadFrom(instance);
+      gqap.Load(instance);
 
       var random = new MersenneTwister();
Index: branches/GeneralizedQAP/UnitTests/CordeauGQAPInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/CordeauGQAPInstanceProviderTest.cs	(revision 7538)
+++ branches/GeneralizedQAP/UnitTests/CordeauGQAPInstanceProviderTest.cs	(revision 7548)
@@ -34,7 +34,7 @@
       StringBuilder erroneousInstances = new StringBuilder();
       int count = 0;
-      foreach (var id in target.GetInstanceDescriptors()) {
+      foreach (var id in target.GetDataDescriptors()) {
         try {
-          target.LoadInstance(id);
+          target.LoadData(id);
         } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
Index: branches/GeneralizedQAP/UnitTests/ElloumiCTAPInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/ElloumiCTAPInstanceProviderTest.cs	(revision 7538)
+++ branches/GeneralizedQAP/UnitTests/ElloumiCTAPInstanceProviderTest.cs	(revision 7548)
@@ -34,7 +34,7 @@
       StringBuilder erroneousInstances = new StringBuilder();
       int count = 0;
-      foreach (var id in target.GetInstanceDescriptors()) {
+      foreach (var id in target.GetDataDescriptors()) {
         try {
-          target.LoadInstance(id);
+          target.LoadData(id);
         } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
Index: branches/GeneralizedQAP/UnitTests/QAPLIBInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/QAPLIBInstanceProviderTest.cs	(revision 7538)
+++ branches/GeneralizedQAP/UnitTests/QAPLIBInstanceProviderTest.cs	(revision 7548)
@@ -35,7 +35,7 @@
       StringBuilder erroneousInstances = new StringBuilder();
       int count = 0;
-      foreach (var id in target.GetInstanceDescriptors()) {
+      foreach (var id in target.GetDataDescriptors()) {
         try {
-          target.LoadInstance(id);
+          target.LoadData(id);
         } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
@@ -54,6 +54,6 @@
       List<string> nonZeroDiagonalInstances = new List<string>();
       var target = new QAPLIBInstanceProvider();
-      foreach (var id in target.GetInstanceDescriptors()) {
-        var instance = target.LoadInstance(id);
+      foreach (var id in target.GetDataDescriptors()) {
+        var instance = target.LoadData(id);
         for (int i = 0; i < instance.Dimension; i++)
           if (instance.Distances[i, i] != 0 || instance.Weights[i, i] != 0) {
Index: branches/GeneralizedQAP/UnitTests/TSPLIBInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/TSPLIBInstanceProviderTest.cs	(revision 7538)
+++ branches/GeneralizedQAP/UnitTests/TSPLIBInstanceProviderTest.cs	(revision 7548)
@@ -34,7 +34,7 @@
       StringBuilder erroneousInstances = new StringBuilder();
       int count = 0;
-      foreach (var id in target.GetInstanceDescriptors()) {
+      foreach (var id in target.GetDataDescriptors()) {
         try {
-          target.LoadInstance(id);
+          target.LoadData(id);
         } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
@@ -51,7 +51,7 @@
       StringBuilder erroneousInstances = new StringBuilder();
       int count = 0;
-      foreach (var id in target.GetInstanceDescriptors()) {
+      foreach (var id in target.GetDataDescriptors()) {
         try {
-          target.LoadInstance(id);
+          target.LoadData(id);
         } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
@@ -68,7 +68,7 @@
       StringBuilder erroneousInstances = new StringBuilder();
       int count = 0;
-      foreach (var id in target.GetInstanceDescriptors()) {
+      foreach (var id in target.GetDataDescriptors()) {
         try {
-          target.LoadInstance(id);
+          target.LoadData(id);
         } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);