Index: branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/ClassDiagram1.cd
===================================================================
--- branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/ClassDiagram1.cd	(revision 7548)
+++ 	(revision )
@@ -1,96 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<ClassDiagram MajorVersion="1" MinorVersion="1">
-  <Class Name="HeuristicLab.Problems.Instances.ProblemInstanceProvider&lt;TInstance&gt;" Collapsed="true" BaseTypeListCollapsed="true">
-    <Position X="0.5" Y="5.5" Width="2.75" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAIAgAAAAAAAAAAQAAAAAAAAAgAACAAAAEUA=</HashCode>
-      <FileName>ProblemInstanceProvider.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" Collapsed="true" />
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.ATSPInstance" Collapsed="true">
-    <Position X="4" Y="1.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAIgAAAAAAAAAAQAIAEAQABAAAAAAAAAAAA=</HashCode>
-      <FileName>Instances\ATSPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.CTAPInstance" Collapsed="true">
-    <Position X="4" Y="2.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAAAAABAgAAAAAAAAgAQAAAMAQAAAAAAIAAAAIAA=</HashCode>
-      <FileName>Instances\CTAPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.CVRPInstance" Collapsed="true">
-    <Position X="4" Y="3.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAIAAAAAAKgAAAAAAAAAAQCIAEAQABAAAAAAIAAAAA=</HashCode>
-      <FileName>Instances\CVRPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.GQAPInstance" Collapsed="true">
-    <Position X="4" Y="4" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAAAAAACgAAAAAAIAAAQAAAFAAABAAEAAAAgAAkA=</HashCode>
-      <FileName>Instances\GQAPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.QAPInstance" Collapsed="true">
-    <Position X="4" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAAAAAAAgAAAAAAAAAAQAAAEAQABAAEAAAAAAAAA=</HashCode>
-      <FileName>Instances\QAPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.TSPInstance" Collapsed="true">
-    <Position X="4" Y="5.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>ACAIAABAAAIgAAAAAAAAAAQAIAFIQABAACAAAACQACA=</HashCode>
-      <FileName>Instances\TSPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Interface Name="HeuristicLab.Problems.Instances.IInstanceDescriptor" Collapsed="true">
-    <Position X="3.5" Y="0.5" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAgAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>IInstanceDescriptor.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Problems.Instances.IConsumable&lt;TInstance&gt;">
-    <Position X="6.25" Y="0.5" Width="3.25" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAA=</HashCode>
-      <FileName>IConsumable.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Problems.Instances.IProblemInstanceProvider">
-    <Position X="0.75" Y="0.5" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAIAgAAAAAAAAAAQAAAAAAAAAAAAAAAAAAEA=</HashCode>
-      <FileName>IProblemInstanceProvider.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Problems.Instances.IProblemInstanceProvider&lt;TInstance&gt;">
-    <Position X="0.5" Y="2.75" Width="2.75" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAACAAAAEQA=</HashCode>
-      <FileName>IProblemInstanceProvider.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Enum Name="HeuristicLab.Problems.Instances.CVRPDistanceMeasure" Collapsed="true">
-    <Position X="6.25" Y="3.25" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>ggACAAAAAAAAAABBAAAAAAAAAACAQAAAAAAAQAAAAAA=</HashCode>
-      <FileName>Instances\CVRPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Enum>
-  <Enum Name="HeuristicLab.Problems.Instances.TSPDistanceMeasure" Collapsed="true">
-    <Position X="6.25" Y="5.5" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>ggACAAAAAAAAAABBAAAAAAAAAACAQAAAAAAAQAAAAAA=</HashCode>
-      <FileName>Instances\TSPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Enum>
-  <Font Name="Segoe UI" Size="9" />
-</ClassDiagram>
Index: branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj
===================================================================
--- branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 7548)
+++ branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 7552)
@@ -51,5 +51,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="ClassDiagram1.cd" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="IExportable.cs" />
Index: branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/IExportable.cs
===================================================================
--- branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/IExportable.cs	(revision 7548)
+++ branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/IExportable.cs	(revision 7552)
@@ -21,6 +21,6 @@
 
 namespace HeuristicLab.Problems.Instances {
-  public interface IExportable<TInstance> {
-    void ExportTo(TInstance instance);
+  public interface IExportable<TData> {
+    void ExportTo(TData data);
   }
 }