Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.Designer.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.Designer.cs	(revision 7557)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Clients.Access {
+﻿namespace HeuristicLab.Clients.Access.Views {
   partial class AdminClientView {
     /// <summary> 
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/AdminClientView.cs	(revision 7557)
@@ -22,5 +22,5 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Clients.Access {
+namespace HeuristicLab.Clients.Access.Views {
   [View("Extended Client View")]
   [Content(typeof(Client), false)]
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.Designer.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.Designer.cs	(revision 7557)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Clients.Access {
+﻿namespace HeuristicLab.Clients.Access.Views {
   partial class ClientInformationDialog {
     /// <summary>
@@ -24,5 +24,5 @@
     /// </summary>
     private void InitializeComponent() {
-      this.clientView = new HeuristicLab.Clients.Access.ClientView();
+      this.clientView = new HeuristicLab.Clients.Access.Views.ClientView();
       this.SuspendLayout();
       // 
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs	(revision 7557)
@@ -22,5 +22,5 @@
 using System.Windows.Forms;
 
-namespace HeuristicLab.Clients.Access {
+namespace HeuristicLab.Clients.Access.Views {
   public partial class ClientInformationDialog : Form {
     public ClientInformationDialog() {
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.Designer.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.Designer.cs	(revision 7557)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Clients.Access {
+﻿namespace HeuristicLab.Clients.Access.Views {
   partial class ClientRegistrationDialog {
     /// <summary>
@@ -26,17 +26,18 @@
       this.btnCollectInformation = new System.Windows.Forms.Button();
       this.richTextBox1 = new System.Windows.Forms.RichTextBox();
-      this.clientView = new HeuristicLab.Clients.Access.ClientView();
       this.progressBar = new System.Windows.Forms.ProgressBar();
       this.btnRegisterClient = new System.Windows.Forms.Button();
       this.btnCancel = new System.Windows.Forms.Button();
+      this.clientView = new HeuristicLab.Clients.Access.Views.ClientView();
       this.SuspendLayout();
       // 
       // btnCollectInformation
       // 
-      this.btnCollectInformation.Location = new System.Drawing.Point(12, 114);
+      this.btnCollectInformation.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.btnCollectInformation.Location = new System.Drawing.Point(12, 220);
       this.btnCollectInformation.Name = "btnCollectInformation";
       this.btnCollectInformation.Size = new System.Drawing.Size(111, 23);
       this.btnCollectInformation.TabIndex = 1;
-      this.btnCollectInformation.Text = "Collect information";
+      this.btnCollectInformation.Text = "Collect Information";
       this.btnCollectInformation.UseVisualStyleBackColor = true;
       this.btnCollectInformation.Click += new System.EventHandler(this.btnCollectInformation_Click);
@@ -44,29 +45,23 @@
       // richTextBox1
       // 
-      this.richTextBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.richTextBox1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.richTextBox1.BackColor = System.Drawing.SystemColors.Control;
+      this.richTextBox1.BorderStyle = System.Windows.Forms.BorderStyle.None;
       this.richTextBox1.Location = new System.Drawing.Point(12, 12);
       this.richTextBox1.Name = "richTextBox1";
-      this.richTextBox1.Size = new System.Drawing.Size(638, 96);
+      this.richTextBox1.Size = new System.Drawing.Size(769, 202);
       this.richTextBox1.TabIndex = 2;
       this.richTextBox1.Text = "";
-      // 
-      // clientView
-      // 
-      this.clientView.Caption = "Client View";
-      this.clientView.Content = null;
-      this.clientView.Location = new System.Drawing.Point(12, 143);
-      this.clientView.Name = "clientView";
-      this.clientView.ReadOnly = false;
-      this.clientView.Size = new System.Drawing.Size(638, 340);
-      this.clientView.TabIndex = 3;
+      this.richTextBox1.LinkClicked += new System.Windows.Forms.LinkClickedEventHandler(this.richTextBox1_LinkClicked);
       // 
       // progressBar
       // 
-      this.progressBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.progressBar.Location = new System.Drawing.Point(130, 114);
+      this.progressBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.progressBar.Location = new System.Drawing.Point(129, 220);
       this.progressBar.Name = "progressBar";
-      this.progressBar.Size = new System.Drawing.Size(520, 23);
+      this.progressBar.Size = new System.Drawing.Size(651, 23);
       this.progressBar.Style = System.Windows.Forms.ProgressBarStyle.Continuous;
       this.progressBar.TabIndex = 4;
@@ -75,6 +70,7 @@
       // btnRegisterClient
       // 
+      this.btnRegisterClient.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.btnRegisterClient.Enabled = false;
-      this.btnRegisterClient.Location = new System.Drawing.Point(12, 516);
+      this.btnRegisterClient.Location = new System.Drawing.Point(12, 595);
       this.btnRegisterClient.Name = "btnRegisterClient";
       this.btnRegisterClient.Size = new System.Drawing.Size(88, 23);
@@ -86,6 +82,7 @@
       // btnCancel
       // 
+      this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
-      this.btnCancel.Location = new System.Drawing.Point(574, 516);
+      this.btnCancel.Location = new System.Drawing.Point(705, 595);
       this.btnCancel.Name = "btnCancel";
       this.btnCancel.Size = new System.Drawing.Size(75, 23);
@@ -94,4 +91,16 @@
       this.btnCancel.UseVisualStyleBackColor = true;
       // 
+      // clientView
+      // 
+      this.clientView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.clientView.Caption = "Client View";
+      this.clientView.Content = null;
+      this.clientView.Location = new System.Drawing.Point(11, 249);
+      this.clientView.Name = "clientView";
+      this.clientView.ReadOnly = false;
+      this.clientView.Size = new System.Drawing.Size(769, 340);
+      this.clientView.TabIndex = 3;
+      // 
       // ClientRegistrationDialog
       // 
@@ -99,5 +108,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.CancelButton = this.btnCancel;
-      this.ClientSize = new System.Drawing.Size(662, 552);
+      this.ClientSize = new System.Drawing.Size(793, 631);
       this.Controls.Add(this.btnCancel);
       this.Controls.Add(this.btnRegisterClient);
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.cs	(revision 7557)
@@ -21,11 +21,19 @@
 
 using System;
+using System.IO;
+using System.Reflection;
 using System.Threading.Tasks;
 using System.Windows.Forms;
 
-namespace HeuristicLab.Clients.Access {
+namespace HeuristicLab.Clients.Access.Views {
   public partial class ClientRegistrationDialog : Form {
     public ClientRegistrationDialog() {
       InitializeComponent();
+
+      try {
+        using (Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream(typeof(ClientRegistrationDialog), "Documents.ClientRegistrationInfo.rtf"))
+          richTextBox1.LoadFile(stream, RichTextBoxStreamType.RichText);
+      }
+      catch (Exception) { }
     }
 
@@ -99,4 +107,8 @@
       }
     }
+
+    private void richTextBox1_LinkClicked(object sender, LinkClickedEventArgs e) {
+      System.Diagnostics.Process.Start(e.LinkText);
+    }
   }
 }
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.Designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.Designer.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.Designer.cs	(revision 7557)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Clients.Access {
+﻿namespace HeuristicLab.Clients.Access.Views {
   partial class ClientView {
     /// <summary> 
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.cs	(revision 7557)
@@ -23,5 +23,5 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Clients.Access {
+namespace HeuristicLab.Clients.Access.Views {
   [View("Client View")]
   [Content(typeof(Client), true)]
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/HeuristicLab.Clients.Access.Views-3.3.csproj	(revision 7557)
@@ -165,4 +165,8 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="ClientViews\ClientRegistrationDialog.resx">
+      <DependentUpon>ClientRegistrationDialog.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Documents\ClientRegistrationInfo.rtf" />
     <None Include="HeuristicLab.snk" />
     <None Include="Plugin.cs.frame" />
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/MenuItems/ClientInfoMenuItem.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/MenuItems/ClientInfoMenuItem.cs	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/MenuItems/ClientInfoMenuItem.cs	(revision 7557)
@@ -23,5 +23,5 @@
 using HeuristicLab.Optimizer;
 
-namespace HeuristicLab.Clients.Access {
+namespace HeuristicLab.Clients.Access.Views {
   public class ClientInfoMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
     public override string Name {
Index: /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/Plugin.cs.frame
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/Plugin.cs.frame	(revision 7556)
+++ /branches/ClientUserManagement/HeuristicLab.Clients.Access.Views/3.3/Plugin.cs.frame	(revision 7557)
@@ -22,5 +22,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Clients.Access {
+namespace HeuristicLab.Clients.Access.Views {
   /// <summary>
   /// Plugin class for HeuristicLab.Clients.Access.Views plugin.