Index: branches/GeneralizedQAP/UnitTests/CordeauGQAPInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/CordeauGQAPInstanceProviderTest.cs	(revision 7548)
+++ 	(revision )
@@ -1,48 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Text;
-using HeuristicLab.Problems.Instances.CordeauGQAP;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace UnitTests {
-  [TestClass()]
-  public class CordeauGQAPInstanceProviderTest {
-
-    [TestMethod()]
-    public void GetCordeauGQAPInstanceTest() {
-      var target = new CordeauGQAPInstanceProvider();
-      StringBuilder erroneousInstances = new StringBuilder();
-      int count = 0;
-      foreach (var id in target.GetDataDescriptors()) {
-        try {
-          target.LoadData(id);
-        } catch (Exception ex) {
-          erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
-        }
-        count++;
-      }
-      Assert.IsTrue(count > 0, "No problem instances were found.");
-      Assert.IsTrue(erroneousInstances.Length == 0, "Some instances could not be parsed: " + Environment.NewLine + erroneousInstances.ToString());
-    }
-  }
-}
Index: branches/GeneralizedQAP/UnitTests/ElloumiCTAPInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/ElloumiCTAPInstanceProviderTest.cs	(revision 7548)
+++ 	(revision )
@@ -1,48 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Text;
-using HeuristicLab.Problems.Instances.ElloumiCTAP;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace UnitTests {
-  [TestClass()]
-  public class ElloumiCTAPInstanceProviderTest {
-
-    [TestMethod()]
-    public void GetElloumiCTAPInstanceTest() {
-      var target = new ElloumiCTAPInstanceProvider();
-      StringBuilder erroneousInstances = new StringBuilder();
-      int count = 0;
-      foreach (var id in target.GetDataDescriptors()) {
-        try {
-          target.LoadData(id);
-        } catch (Exception ex) {
-          erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
-        }
-        count++;
-      }
-      Assert.IsTrue(count > 0, "No problem instances were found.");
-      Assert.IsTrue(erroneousInstances.Length == 0, "Some instances could not be parsed: " + Environment.NewLine + erroneousInstances.ToString());
-    }
-  }
-}
Index: branches/GeneralizedQAP/UnitTests/QAPLIBInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/QAPLIBInstanceProviderTest.cs	(revision 7548)
+++ 	(revision )
@@ -1,68 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Problems.Instances.QAPLIB;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace UnitTests {
-  [TestClass()]
-  public class QAPLIBInstanceProviderTest {
-
-    [TestMethod()]
-    public void GetQAPLIBInstanceTest() {
-      var target = new QAPLIBInstanceProvider();
-      StringBuilder erroneousInstances = new StringBuilder();
-      int count = 0;
-      foreach (var id in target.GetDataDescriptors()) {
-        try {
-          target.LoadData(id);
-        } catch (Exception ex) {
-          erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
-        }
-        count++;
-      }
-      Assert.IsTrue(count > 0, "No problem instances were found.");
-      Assert.IsTrue(erroneousInstances.Length == 0, "Some instances could not be parsed: " + Environment.NewLine + erroneousInstances.ToString());
-    }
-
-    /// <summary>
-    ///A test for GetInstance
-    ///</summary>
-    [TestMethod()]
-    public void GetInstanceTest() {
-      List<string> nonZeroDiagonalInstances = new List<string>();
-      var target = new QAPLIBInstanceProvider();
-      foreach (var id in target.GetDataDescriptors()) {
-        var instance = target.LoadData(id);
-        for (int i = 0; i < instance.Dimension; i++)
-          if (instance.Distances[i, i] != 0 || instance.Weights[i, i] != 0) {
-            nonZeroDiagonalInstances.Add(instance.Name);
-            break;
-          }
-      }
-
-      Assert.IsTrue(nonZeroDiagonalInstances.Count == 0, string.Join(Environment.NewLine, nonZeroDiagonalInstances));
-    }
-  }
-}
Index: branches/GeneralizedQAP/UnitTests/TSPLIBInstanceProviderTest.cs
===================================================================
--- branches/GeneralizedQAP/UnitTests/TSPLIBInstanceProviderTest.cs	(revision 7548)
+++ 	(revision )
@@ -1,82 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Text;
-using HeuristicLab.Problems.Instances.TSPLIB;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace UnitTests {
-  [TestClass()]
-  public class TSPLIBInstanceProviderTest {
-
-    [TestMethod()]
-    public void GetTSPLIBTSPInstanceTest() {
-      var target = new TSPLIBTSPInstanceProvider();
-      StringBuilder erroneousInstances = new StringBuilder();
-      int count = 0;
-      foreach (var id in target.GetDataDescriptors()) {
-        try {
-          target.LoadData(id);
-        } catch (Exception ex) {
-          erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
-        }
-        count++;
-      }
-      Assert.IsTrue(count > 0, "No problem instances were found.");
-      Assert.IsTrue(erroneousInstances.Length == 0, "Some instances could not be parsed: " + Environment.NewLine + erroneousInstances.ToString());
-    }
-
-    [TestMethod()]
-    public void GetTSPLIBATSPInstanceTest() {
-      var target = new TSPLIBATSPInstanceProvider();
-      StringBuilder erroneousInstances = new StringBuilder();
-      int count = 0;
-      foreach (var id in target.GetDataDescriptors()) {
-        try {
-          target.LoadData(id);
-        } catch (Exception ex) {
-          erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
-        }
-        count++;
-      }
-      Assert.IsTrue(count > 0, "No problem instances were found.");
-      Assert.IsTrue(erroneousInstances.Length == 0, "Some instances could not be parsed: " + Environment.NewLine + erroneousInstances.ToString());
-    }
-
-    [TestMethod()]
-    public void GetTSPLIBCVRPInstanceTest() {
-      var target = new TSPLIBCVRPInstanceProvider();
-      StringBuilder erroneousInstances = new StringBuilder();
-      int count = 0;
-      foreach (var id in target.GetDataDescriptors()) {
-        try {
-          target.LoadData(id);
-        } catch (Exception ex) {
-          erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
-        }
-        count++;
-      }
-      Assert.IsTrue(count > 0, "No problem instances were found.");
-      Assert.IsTrue(erroneousInstances.Length == 0, "Some instances could not be parsed: " + Environment.NewLine + erroneousInstances.ToString());
-    }
-  }
-}
Index: branches/GeneralizedQAP/UnitTests/UnitTests.csproj
===================================================================
--- branches/GeneralizedQAP/UnitTests/UnitTests.csproj	(revision 7548)
+++ branches/GeneralizedQAP/UnitTests/UnitTests.csproj	(revision 7561)
@@ -78,4 +78,9 @@
       <Private>True</Private>
     </Reference>
+    <Reference Include="HeuristicLab.Problems.Instances-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Problems.Instances.CordeauGQAP-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <Private>False</Private>
+    </Reference>
     <Reference Include="HeuristicLab.Random-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Random-3.3.dll</HintPath>
@@ -98,10 +103,6 @@
   <ItemGroup>
     <Compile Include="CordeauCrossoverTest.cs" />
-    <Compile Include="CordeauGQAPInstanceProviderTest.cs" />
-    <Compile Include="ElloumiCTAPInstanceProviderTest.cs" />
-    <Compile Include="QAPLIBInstanceProviderTest.cs" />
     <Compile Include="GQAPNMoveEvaluatorTest.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="TSPLIBInstanceProviderTest.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -113,24 +114,4 @@
       <Project>{C739E6D2-5680-4804-A810-8017DA0C238F}</Project>
       <Name>HeuristicLab.Problems.GeneralizedQuadraticAssignment-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Problems.Instances.CordeauGQAP\3.3\HeuristicLab.Problems.Instances.CordeauGQAP-3.3.csproj">
-      <Project>{1F2718DA-BF13-40EE-A7FD-EEDB4912E64E}</Project>
-      <Name>HeuristicLab.Problems.Instances.CordeauGQAP-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Problems.Instances.ElloumiCTAP\3.3\HeuristicLab.Problems.Instances.ElloumiCTAP-3.3.csproj">
-      <Project>{CCF61DA0-B226-4C0F-8052-29ACC6BDE6EE}</Project>
-      <Name>HeuristicLab.Problems.Instances.ElloumiCTAP-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Problems.Instances.QAPLIB\3.3\HeuristicLab.Problems.Instances.QAPLIB-3.3.csproj">
-      <Project>{73F29D43-5714-4069-8FAB-0D18FEB5F175}</Project>
-      <Name>HeuristicLab.Problems.Instances.QAPLIB-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Problems.Instances.TSPLIB\3.3\HeuristicLab.Problems.Instances.TSPLIB-3.3.csproj">
-      <Project>{CE0F99D6-1C56-48A9-9B68-3E5B833703EF}</Project>
-      <Name>HeuristicLab.Problems.Instances.TSPLIB-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
-      <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
-      <Name>HeuristicLab.Problems.Instances-3.3</Name>
     </ProjectReference>
   </ItemGroup>